summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@howl.(none)>2008-06-10 00:33:26 -0400
committerroot <root@howl.(none)>2008-06-10 00:33:26 -0400
commite0704ffbc3fccb65c9e6d14ec06ae92c0a9e12d5 (patch)
tree3e102caafeea69b26ba93ce180e1f360b6089e45 /games-emulation
parentAdd cdvdlinuz svn ebuild. (diff)
downloadeatnumber1-e0704ffbc3fccb65c9e6d14ec06ae92c0a9e12d5.tar.gz
eatnumber1-e0704ffbc3fccb65c9e6d14ec06ae92c0a9e12d5.tar.bz2
eatnumber1-e0704ffbc3fccb65c9e6d14ec06ae92c0a9e12d5.zip
Add dev9null svn ebuild.
Diffstat (limited to 'games-emulation')
-rw-r--r--games-emulation/ps2emu-dev9null/ps2emu-dev9null-9999.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/games-emulation/ps2emu-dev9null/ps2emu-dev9null-9999.ebuild b/games-emulation/ps2emu-dev9null/ps2emu-dev9null-9999.ebuild
new file mode 100644
index 0000000..080bc55
--- /dev/null
+++ b/games-emulation/ps2emu-dev9null/ps2emu-dev9null-9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ESVN_REPO_URI="https://pcsx2.svn.sourceforge.net/svnroot/pcsx2/plugins/dev9/dev9null"
+inherit eutils games subversion
+
+DESCRIPTION="PS2Emu null DEV9 plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc"
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/dev9null"
+
+src_unpack() {
+ subversion_src_unpack
+ S="${S}/src"
+ cd "${S}"
+
+ sed -i \
+ -e '/^CC =/d' \
+ -e '/\bstrip\b/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ Makefile || die
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)/ps2emu/plugins"
+ doexe libDEV9null.so || die
+ use doc && dodoc ../ReadMe.txt || die
+ prepgamesdirs
+}